package com.ruoyi.system.domain.md;

import java.io.Serializable;

public class NewmsgInbox implements Serializable {
    /**
     * 收件ID
     *
     * @mbg.generated
     */
    private String id;

    /**
     * 来源发件ID
     *
     * @mbg.generated
     */
    private String orginid;

    /**
     * 发件ID
     *
     * @mbg.generated
     */
    private String outboxid;

    /**
     * 应用ID
     *
     * @mbg.generated
     */
    private String appid;

    /**
     * 应用名称
     *
     * @mbg.generated
     */
    private String appname;

    /**
     * 消息分类(0-应用消息，10-订阅，1-内部消息)
     *
     * @mbg.generated
     */
    private Byte msgtype;

    /**
     * 用户ID
     *
     * @mbg.generated
     */
    private String userid;

    /**
     * 用户分类(1-政府/2-企业)
     *
     * @mbg.generated
     */
    private Byte usertype;

    /**
     * 组织ID
     *
     * @mbg.generated
     */
    private String orgid;

    /**
     * 部门ID
     *
     * @mbg.generated
     */
    private String deptid;

    /**
     * 发送人用户ID
     *
     * @mbg.generated
     */
    private String fromUserid;

    /**
     * 发送人用户分类(1-政府/2-企业)
     *
     * @mbg.generated
     */
    private Byte fromUsertype;

    /**
     * 发送人组织ID
     *
     * @mbg.generated
     */
    private String fromOrgid;

    /**
     * 发送人部门ID
     *
     * @mbg.generated
     */
    private String fromDeptid;

    /**
     * 是否推送手机端(0-否，1-是)
     *
     * @mbg.generated
     */
    private Byte needpush;

    /**
     * 状态(0-撤回(删除) 1-正常)
     *
     * @mbg.generated
     */
    private Byte state;

    /**
     * 是否已读(0-否，1-是)
     *
     * @mbg.generated
     */
    private Byte userread;

    /**
     * 阅读时间
     *
     * @mbg.generated
     */
    private Long readtime;

    /**
     * 是否回复(0-否，1-是)
     *
     * @mbg.generated
     */
    private Byte userreply;

    /**
     * 回复时间
     *
     * @mbg.generated
     */
    private Long replytime;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    private Long ctime;

    /**
     * 附加参数(json)
     *
     * @mbg.generated
     */
    private String ext;

    /**
     * 标题
     *
     * @mbg.generated
     */
    private String title;

    /**
     * json参数
     *
     * @mbg.generated
     */
    private Object params;

    /**
     * 删除时间
     *
     * @mbg.generated
     */
    private Long dtime;

    /**
     * 正文（富文本）
     *
     * @mbg.generated
     */
    private String body;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOrginid() {
        return orginid;
    }

    public void setOrginid(String orginid) {
        this.orginid = orginid;
    }

    public String getOutboxid() {
        return outboxid;
    }

    public void setOutboxid(String outboxid) {
        this.outboxid = outboxid;
    }

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public String getAppname() {
        return appname;
    }

    public void setAppname(String appname) {
        this.appname = appname;
    }

    public Byte getMsgtype() {
        return msgtype;
    }

    public void setMsgtype(Byte msgtype) {
        this.msgtype = msgtype;
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid;
    }

    public Byte getUsertype() {
        return usertype;
    }

    public void setUsertype(Byte usertype) {
        this.usertype = usertype;
    }

    public String getOrgid() {
        return orgid;
    }

    public void setOrgid(String orgid) {
        this.orgid = orgid;
    }

    public String getDeptid() {
        return deptid;
    }

    public void setDeptid(String deptid) {
        this.deptid = deptid;
    }

    public String getFromUserid() {
        return fromUserid;
    }

    public void setFromUserid(String fromUserid) {
        this.fromUserid = fromUserid;
    }

    public Byte getFromUsertype() {
        return fromUsertype;
    }

    public void setFromUsertype(Byte fromUsertype) {
        this.fromUsertype = fromUsertype;
    }

    public String getFromOrgid() {
        return fromOrgid;
    }

    public void setFromOrgid(String fromOrgid) {
        this.fromOrgid = fromOrgid;
    }

    public String getFromDeptid() {
        return fromDeptid;
    }

    public void setFromDeptid(String fromDeptid) {
        this.fromDeptid = fromDeptid;
    }

    public Byte getNeedpush() {
        return needpush;
    }

    public void setNeedpush(Byte needpush) {
        this.needpush = needpush;
    }

    public Byte getState() {
        return state;
    }

    public void setState(Byte state) {
        this.state = state;
    }

    public Byte getUserread() {
        return userread;
    }

    public void setUserread(Byte userread) {
        this.userread = userread;
    }

    public Long getReadtime() {
        return readtime;
    }

    public void setReadtime(Long readtime) {
        this.readtime = readtime;
    }

    public Byte getUserreply() {
        return userreply;
    }

    public void setUserreply(Byte userreply) {
        this.userreply = userreply;
    }

    public Long getReplytime() {
        return replytime;
    }

    public void setReplytime(Long replytime) {
        this.replytime = replytime;
    }

    public Long getCtime() {
        return ctime;
    }

    public void setCtime(Long ctime) {
        this.ctime = ctime;
    }

    public String getExt() {
        return ext;
    }

    public void setExt(String ext) {
        this.ext = ext;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Object getParams() {
        return params;
    }

    public void setParams(Object params) {
        this.params = params;
    }

    public Long getDtime() {
        return dtime;
    }

    public void setDtime(Long dtime) {
        this.dtime = dtime;
    }

    public String getBody() {
        return body;
    }

    public void setBody(String body) {
        this.body = body;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", orginid=").append(orginid);
        sb.append(", outboxid=").append(outboxid);
        sb.append(", appid=").append(appid);
        sb.append(", appname=").append(appname);
        sb.append(", msgtype=").append(msgtype);
        sb.append(", userid=").append(userid);
        sb.append(", usertype=").append(usertype);
        sb.append(", orgid=").append(orgid);
        sb.append(", deptid=").append(deptid);
        sb.append(", fromUserid=").append(fromUserid);
        sb.append(", fromUsertype=").append(fromUsertype);
        sb.append(", fromOrgid=").append(fromOrgid);
        sb.append(", fromDeptid=").append(fromDeptid);
        sb.append(", needpush=").append(needpush);
        sb.append(", state=").append(state);
        sb.append(", userread=").append(userread);
        sb.append(", readtime=").append(readtime);
        sb.append(", userreply=").append(userreply);
        sb.append(", replytime=").append(replytime);
        sb.append(", ctime=").append(ctime);
        sb.append(", ext=").append(ext);
        sb.append(", title=").append(title);
        sb.append(", params=").append(params);
        sb.append(", dtime=").append(dtime);
        sb.append(", body=").append(body);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        NewmsgInbox other = (NewmsgInbox) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getOrginid() == null ? other.getOrginid() == null : this.getOrginid().equals(other.getOrginid()))
            && (this.getOutboxid() == null ? other.getOutboxid() == null : this.getOutboxid().equals(other.getOutboxid()))
            && (this.getAppid() == null ? other.getAppid() == null : this.getAppid().equals(other.getAppid()))
            && (this.getAppname() == null ? other.getAppname() == null : this.getAppname().equals(other.getAppname()))
            && (this.getMsgtype() == null ? other.getMsgtype() == null : this.getMsgtype().equals(other.getMsgtype()))
            && (this.getUserid() == null ? other.getUserid() == null : this.getUserid().equals(other.getUserid()))
            && (this.getUsertype() == null ? other.getUsertype() == null : this.getUsertype().equals(other.getUsertype()))
            && (this.getOrgid() == null ? other.getOrgid() == null : this.getOrgid().equals(other.getOrgid()))
            && (this.getDeptid() == null ? other.getDeptid() == null : this.getDeptid().equals(other.getDeptid()))
            && (this.getFromUserid() == null ? other.getFromUserid() == null : this.getFromUserid().equals(other.getFromUserid()))
            && (this.getFromUsertype() == null ? other.getFromUsertype() == null : this.getFromUsertype().equals(other.getFromUsertype()))
            && (this.getFromOrgid() == null ? other.getFromOrgid() == null : this.getFromOrgid().equals(other.getFromOrgid()))
            && (this.getFromDeptid() == null ? other.getFromDeptid() == null : this.getFromDeptid().equals(other.getFromDeptid()))
            && (this.getNeedpush() == null ? other.getNeedpush() == null : this.getNeedpush().equals(other.getNeedpush()))
            && (this.getState() == null ? other.getState() == null : this.getState().equals(other.getState()))
            && (this.getUserread() == null ? other.getUserread() == null : this.getUserread().equals(other.getUserread()))
            && (this.getReadtime() == null ? other.getReadtime() == null : this.getReadtime().equals(other.getReadtime()))
            && (this.getUserreply() == null ? other.getUserreply() == null : this.getUserreply().equals(other.getUserreply()))
            && (this.getReplytime() == null ? other.getReplytime() == null : this.getReplytime().equals(other.getReplytime()))
            && (this.getCtime() == null ? other.getCtime() == null : this.getCtime().equals(other.getCtime()))
            && (this.getExt() == null ? other.getExt() == null : this.getExt().equals(other.getExt()))
            && (this.getTitle() == null ? other.getTitle() == null : this.getTitle().equals(other.getTitle()))
            && (this.getParams() == null ? other.getParams() == null : this.getParams().equals(other.getParams()))
            && (this.getDtime() == null ? other.getDtime() == null : this.getDtime().equals(other.getDtime()))
            && (this.getBody() == null ? other.getBody() == null : this.getBody().equals(other.getBody()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getOrginid() == null) ? 0 : getOrginid().hashCode());
        result = prime * result + ((getOutboxid() == null) ? 0 : getOutboxid().hashCode());
        result = prime * result + ((getAppid() == null) ? 0 : getAppid().hashCode());
        result = prime * result + ((getAppname() == null) ? 0 : getAppname().hashCode());
        result = prime * result + ((getMsgtype() == null) ? 0 : getMsgtype().hashCode());
        result = prime * result + ((getUserid() == null) ? 0 : getUserid().hashCode());
        result = prime * result + ((getUsertype() == null) ? 0 : getUsertype().hashCode());
        result = prime * result + ((getOrgid() == null) ? 0 : getOrgid().hashCode());
        result = prime * result + ((getDeptid() == null) ? 0 : getDeptid().hashCode());
        result = prime * result + ((getFromUserid() == null) ? 0 : getFromUserid().hashCode());
        result = prime * result + ((getFromUsertype() == null) ? 0 : getFromUsertype().hashCode());
        result = prime * result + ((getFromOrgid() == null) ? 0 : getFromOrgid().hashCode());
        result = prime * result + ((getFromDeptid() == null) ? 0 : getFromDeptid().hashCode());
        result = prime * result + ((getNeedpush() == null) ? 0 : getNeedpush().hashCode());
        result = prime * result + ((getState() == null) ? 0 : getState().hashCode());
        result = prime * result + ((getUserread() == null) ? 0 : getUserread().hashCode());
        result = prime * result + ((getReadtime() == null) ? 0 : getReadtime().hashCode());
        result = prime * result + ((getUserreply() == null) ? 0 : getUserreply().hashCode());
        result = prime * result + ((getReplytime() == null) ? 0 : getReplytime().hashCode());
        result = prime * result + ((getCtime() == null) ? 0 : getCtime().hashCode());
        result = prime * result + ((getExt() == null) ? 0 : getExt().hashCode());
        result = prime * result + ((getTitle() == null) ? 0 : getTitle().hashCode());
        result = prime * result + ((getParams() == null) ? 0 : getParams().hashCode());
        result = prime * result + ((getDtime() == null) ? 0 : getDtime().hashCode());
        result = prime * result + ((getBody() == null) ? 0 : getBody().hashCode());
        return result;
    }
}